Bug 241555 - AVC Denial after 5-23-07 update
AVC Denial after 5-23-07 update
Product: Fedora
Classification: Fedora
Component: selinux-doc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Kubin
Depends On:
  Show dependency treegraph
Reported: 2007-05-27 21:58 EDT by Zjo Grasso
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 21:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zjo Grasso 2007-05-27 21:58:51 EDT
Description of problem: After updating the kernel as per the may 23rd patch
wireless functionality failed on a linksys network.

Version-Release number of selected component (if applicable):

How reproducible: continual until pseudo rectified

Steps to Reproduce:
1.set SELinux to enforcing
2.attempt to access network

    SELinux is preventing /usr/sbin/NetworkManager (NetworkManager_t) "unlink"
    to wlan0 (var_run_t).

Detailed Description
    SELinux denied access requested by /usr/sbin/NetworkManager. It is not
    expected that this access is required by /usr/sbin/NetworkManager and this
    access may signal an intrusion attempt. It is also possible that the
    specific version or configuration of the application is causing it to
    require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for wlan0, restorecon -v wlan0 If
    this does not work, there is currently no automatic way to allow this
    access. Instead,  you can generate a local policy module to allow this
    access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you
    can disable SELinux protection altogether. Disabling SELinux protection is
    not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:NetworkManager_t
Target Context                system_u:object_r:var_run_t
Target Objects                wlan0 [ sock_file ]
Affected RPM Packages         NetworkManager-0.6.5-2.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-8.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.21-1.3194.fc7 #1
                              SMP Wed May 23 22:35:01 EDT 2007 i686 i686
Alert Count                   27
First Seen                    Sun 27 May 2007 05:34:16 PM EDT
Last Seen                     Sun 27 May 2007 07:39:48 PM EDT
Local ID                      0750ab4f-c992-41e5-9528-a240e832a766
Line Numbers                  

Raw Audit Messages            

avc: denied { unlink } for comm="NetworkManager" dev=dm-0 egid=0 euid=0
exe="/usr/sbin/NetworkManager" exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="wlan0"
pid=1941 scontext=system_u:system_r:NetworkManager_t:s0 sgid=0
subj=system_u:system_r:NetworkManager_t:s0 suid=0 tclass=sock_file
tcontext=system_u:object_r:var_run_t:s0 tty=(none) uid=0

Additional info: Switching the current mode for enforcing to permissive solved
the problem and allowed wireless access to the network.  However, I am unsure
what changes caused the sudden AVC Denial message everytime I attempted to
access the router.
Comment 1 Daniel Walsh 2007-05-29 11:30:43 EDT
Could you try 

restorecon -R -v /var/run

This looks like a labeling problem.  The question is how did the wlan0 get the
wrong label.
Comment 2 Bug Zapper 2008-04-03 20:58:16 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:50:33 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.